Index: palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 4015)
+++ palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 4017)
@@ -115,15 +115,4 @@
     USE kinds
 
-    CHARACTER(LEN=15) ::  aero_species = 'nacl'                    !< aerosol species
-    CHARACTER(LEN=15) ::  aero_type    = 'maritime'                !< aerosol type
-    CHARACTER(LEN=15) ::  bc_par_lr    = 'cyclic'                  !< left/right boundary condition
-    CHARACTER(LEN=15) ::  bc_par_ns    = 'cyclic'                  !< north/south boundary condition
-    CHARACTER(LEN=15) ::  bc_par_b     = 'reflect'                 !< bottom boundary condition
-    CHARACTER(LEN=15) ::  bc_par_t     = 'absorb'                  !< top boundary condition
-    CHARACTER(LEN=15) ::  collision_kernel   = 'none'              !< collision kernel
-    CHARACTER(LEN=5)  ::  splitting_function = 'gamma'             !< function for calculation critical weighting factor
-    CHARACTER(LEN=5)  ::  splitting_mode     = 'const'             !< splitting mode
-
-    INTEGER(iwp) ::  deleted_particles = 0                        !< number of deleted particles per time step
     INTEGER(iwp) ::  dissipation_classes = 10                     !< namelist parameter (see documentation)
     INTEGER(iwp) ::  ibc_par_b                                    !< particle bottom boundary condition dummy
@@ -131,92 +120,18 @@
     INTEGER(iwp) ::  ibc_par_ns                                   !< particle north/south boundary condition dummy
     INTEGER(iwp) ::  ibc_par_t                                    !< particle top boundary condition dummy
-    INTEGER(iwp) ::  iran_part = -1234567                         !< number for random generator
-    INTEGER(iwp) ::  isf                                          !< dummy for splitting function
-    INTEGER(iwp) ::  i_splitting_mode                             !< dummy for splitting mode
-    INTEGER(iwp) ::  max_number_particles_per_gridbox = 100       !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  merge_drp = 0                                !< number of merged droplets
     INTEGER(iwp) ::  min_nr_particle = 50                         !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  new_particles = 0                            !< number of new particles
-    INTEGER(iwp) ::  n_max = 100                                  !< number of radii bin for splitting functions
     INTEGER(iwp) ::  number_of_particles = 0                      !< number of particles for each grid box (3d array is saved on prt_count)
     INTEGER(iwp) ::  number_of_particle_groups = 1                !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  number_of_sublayers = 20                     !< number of sublayers for particle velocities betwenn surface and first grid level
-    INTEGER(iwp) ::  number_particles_per_gridbox = -1            !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  offset_ocean_nzt = 0                         !< in case of oceans runs, the vertical index calculations need an offset
-    INTEGER(iwp) ::  offset_ocean_nzt_m1 = 0                      !< in case of oceans runs, the vertical index calculations need an offset
-    INTEGER(iwp) ::  particles_per_point = 1                      !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  radius_classes = 20                          !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  sort_count = 0                               !< counter for sorting particles
-    INTEGER(iwp) ::  splitting_factor = 2                         !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  splitting_factor_max = 5                     !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  step_dealloc = 100                           !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  sum_merge_drp = 0                            !< sum of merged super droplets
-    INTEGER(iwp) ::  sum_new_particles = 0                        !< sum of created particles (in splitting algorithm)
-    INTEGER(iwp) ::  total_number_of_particles                    !< total number of particles in the whole model domain
-    INTEGER(iwp) ::  trlp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trlp_count_recv_sum                          !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trrp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trrp_count_recv_sum                          !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trsp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trsp_count_recv_sum                          !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trnp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trnp_count_recv_sum                          !< parameter for particle exchange of PEs
 
     INTEGER(iwp), PARAMETER ::  max_number_of_particle_groups = 10 !< maximum allowed number of particle groups
 
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  prt_count  !< 3d array of number of particles of every grid box
-
-    LOGICAL ::  curvature_solution_effects = .FALSE.      !< namelist parameter (see documentation)
-    LOGICAL ::  deallocate_memory = .TRUE.                !< namelist parameter (see documentation)
-    LOGICAL ::  hall_kernel = .FALSE.                     !< flag for collision kernel
-    LOGICAL ::  merging = .FALSE.                         !< namelist parameter (see documentation)
+    
     LOGICAL ::  particle_advection = .FALSE.              !< parameter to steer the advection of particles
-    LOGICAL ::  random_start_position = .FALSE.           !< namelist parameter (see documentation)
-    LOGICAL ::  read_particles_from_restartfile = .TRUE.  !< namelist parameter (see documentation)
-    LOGICAL ::  seed_follows_topography = .FALSE.         !< namelist parameter (see documentation)
-    LOGICAL ::  splitting = .FALSE.                       !< namelist parameter (see documentation)
-    LOGICAL ::  use_kernel_tables = .FALSE.               !< parameter, which turns on the use of precalculated collision kernels
-    LOGICAL ::  use_sgs_for_particles = .FALSE.           !< namelist parameter (see documentation)
+    LOGICAL ::  use_sgs_for_particles = .FALSE.           !< namelist parameter (see documentation)    
     LOGICAL ::  wang_kernel = .FALSE.                     !< flag for collision kernel
-    LOGICAL ::  write_particle_statistics = .FALSE.       !< namelist parameter (see documentation)
-
-    LOGICAL, DIMENSION(max_number_of_particle_groups) ::                       &
-                vertical_particle_advection = .TRUE.              !< Switch on/off vertical particle transport
-
-    REAL(wp) ::  aero_weight = 1.0_wp                      !< namelist parameter (see documentation)
+
     REAL(wp) ::  alloc_factor = 20.0_wp                    !< namelist parameter (see documentation)
-    REAL(wp) ::  c_0 = 3.0_wp                              !< parameter for lagrangian timescale
-    REAL(wp) ::  dt_min_part = 0.0002_wp                   !< minimum particle time step when SGS velocities are used (s)
-    REAL(wp) ::  dt_prel = 9999999.9_wp                    !< namelist parameter (see documentation)
-    REAL(wp) ::  dt_write_particle_data = 9999999.9_wp     !< namelist parameter (see documentation)
-    REAL(wp) ::  end_time_prel = 9999999.9_wp              !< namelist parameter (see documentation)
-    REAL(wp) ::  initial_weighting_factor = 1.0_wp         !< namelist parameter (see documentation)
-    REAL(wp) ::  last_particle_release_time = 0.0_wp       !< last time of particle release
-    REAL(wp) ::  log_sigma(3) = 1.0_wp                     !< namelist parameter (see documentation)
-    REAL(wp) ::  na(3) = 0.0_wp                            !< namelist parameter (see documentation)
-    REAL(wp) ::  number_concentration = -1.0_wp            !< namelist parameter (see documentation)
     REAL(wp) ::  particle_advection_start = 0.0_wp         !< namelist parameter (see documentation)
-    REAL(wp) ::  radius_merge = 1.0E-7_wp                  !< namelist parameter (see documentation)
-    REAL(wp) ::  radius_split = 40.0E-6_wp                 !< namelist parameter (see documentation)
-    REAL(wp) ::  rm(3) = 1.0E-6_wp                         !< namelist parameter (see documentation)
-    REAL(wp) ::  sgs_wf_part                               !< parameter for sgs
-    REAL(wp) ::  time_write_particle_data = 0.0_wp         !< write particle data at current time on file
-    REAL(wp) ::  weight_factor_merge = -1.0_wp             !< namelist parameter (see documentation)
-    REAL(wp) ::  weight_factor_split = -1.0_wp             !< namelist parameter (see documentation)
-    REAL(wp) ::  z0_av_global                              !< horizontal mean value of z0
-
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  density_ratio = 9999999.9_wp  !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pdx = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pdy = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pdz = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psb = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psl = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psn = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psr = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pss = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pst = 9999999.9_wp            !< namelist parameter (see documentation).
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  radius = 9999999.9_wp         !< namelist parameter (see documentation)
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE     ::  log_z_z0   !< Precalculate LOG(z/z0)
 
 !
Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 4015)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 4017)
@@ -242,5 +242,16 @@
                im_data_output_3d,                                              &
                im_init
-
+               
+    USE lagrangian_particle_model_mod,                                         &
+        ONLY:  lpm_parin,                                                      &
+               lpm_header,                                                     &
+               lpm_check_parameters,                                           &
+               lpm_init,                                                       &
+               lpm_actions,                                                    &
+               lpm_rrd_global,                                                 &
+               lpm_rrd_local,                                                  &
+               lpm_wrd_local,                                                  &
+               lpm_wrd_global
+               
     USE land_surface_model_mod,                                                &
         ONLY:  lsm_parin,                                                      &
@@ -290,4 +301,7 @@
                ocean_rrd_local,                                                &
                ocean_wrd_local
+               
+    USE particle_attributes,                                                   &
+        ONLY:  particle_advection               
 
     USE plant_canopy_model_mod,                                                &
@@ -558,4 +572,5 @@
     CALL gust_parin
     CALL im_parin
+    CALL lpm_parin      
     CALL lsm_parin
     ! ToDo: create parin routine for large_scale_forcing and nudging (should be seperate modules or new module switch)
@@ -574,6 +589,4 @@
     CALL wtm_parin
 
-    CALL package_parin ! ToDo: deprecated, needs to be dissolved
-
     IF ( debug_output )  CALL debug_message( 'reading module-specific parameters', 'end' )
 
@@ -596,4 +609,5 @@
     IF ( gust_module_enabled )  CALL gust_check_parameters
     IF ( indoor_model )         CALL im_check_parameters
+    IF ( particle_advection )   CALL lpm_check_parameters        
     IF ( land_surface )         CALL lsm_check_parameters
     IF ( large_scale_forcing  .OR.  nudging )  CALL lsf_nudging_check_parameters ! ToDo: create single module switch
@@ -896,4 +910,5 @@
     IF ( gust_module_enabled )  CALL gust_init
     IF ( indoor_model        )  CALL im_init
+    IF ( particle_advection  )  CALL lpm_init    
     IF ( large_scale_forcing )  CALL lsf_init
     IF ( land_surface        )  CALL lsm_init
@@ -950,4 +965,5 @@
     IF ( virtual_flight      )  CALL flight_header( io )
     IF ( gust_module_enabled )  CALL gust_header( io )
+    IF ( particle_advection  )  CALL lpm_header( io )    
     IF ( land_surface        )  CALL lsm_header( io )
     IF ( large_scale_forcing )  CALL lsf_nudging_header( io )
@@ -981,4 +997,5 @@
     IF ( air_chemistry       )  CALL chem_actions( location )
     IF ( gust_module_enabled )  CALL gust_actions( location )
+    IF ( particle_advection  )  CALL lpm_actions( location )    
     IF ( ocean_mode          )  CALL ocean_actions( location )
     IF ( salsa               )  CALL salsa_actions( location )
@@ -1377,4 +1394,5 @@
     IF ( .NOT. found )  CALL flight_rrd_global( found ) ! ToDo: change interface to pass variable
     IF ( .NOT. found )  CALL gust_rrd_global( found ) ! ToDo: change interface to pass variable
+    IF ( .NOT. found )  CALL lpm_rrd_global( found ) ! ToDo: change interface to pass variable        
     IF ( .NOT. found )  CALL ocean_rrd_global( found ) ! ToDo: change interface to pass variable
     IF ( .NOT. found )  CALL stg_rrd_global ( found ) ! ToDo: change interface to pass variable
@@ -1480,4 +1498,13 @@
                             ) ! ToDo: change interface to pass variable
 
+    IF ( .NOT. found ) CALL lpm_rrd_local(                                     &
+                               map_index,                                      &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_3d, found                                   &
+                            ) ! ToDo: change interface to pass variable
+
     IF ( .NOT. found ) CALL lsm_rrd_local(                                     &
                                map_index,                                      &
@@ -1557,4 +1584,5 @@
     IF ( air_chemistry )        CALL chem_wrd_local
     IF ( gust_module_enabled )  CALL gust_wrd_local
+    IF ( particle_advection )   CALL lpm_wrd_local    
     IF ( land_surface )         CALL lsm_wrd_local
     IF ( ocean_mode )           CALL ocean_wrd_local
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 4015)
+++ palm/trunk/SOURCE/modules.f90	(revision 4017)
@@ -1195,5 +1195,4 @@
     INTEGER(iwp) ::  dots_time_count = 0               !< number of output intervals for timeseries output
     INTEGER(iwp) ::  dp_level_ind_b = 0                !< lowest grid index for external pressure gradient forcing
-    INTEGER(iwp) ::  dvrp_filecount = 0                !< parameter for dvr visualization software
     INTEGER(iwp) ::  ensemble_member_nr = 0            !< namelist parameter
     INTEGER(iwp) ::  gamma_mg                          !< switch for steering the multigrid cycle: 1: v-cycle, 2: w-cycle
@@ -1460,5 +1459,4 @@
     REAL(wp) ::  dt_do2d_yz = 9999999.9_wp                     !< namelist parameter
     REAL(wp) ::  dt_do3d = 9999999.9_wp                        !< namelist parameter
-    REAL(wp) ::  dt_dvrp = 9999999.9_wp                        !< namelist parameter
     REAL(wp) ::  dt_max = 20.0_wp                              !< namelist parameter
     REAL(wp) ::  dt_restart = 9999999.9_wp                     !< namelist parameter
@@ -1545,5 +1543,4 @@
     REAL(wp) ::  time_do_av = 0.0_wp                           !< time since last averaged-data output
     REAL(wp) ::  time_do_sla = 0.0_wp                          !< time since last 
-    REAL(wp) ::  time_dvrp = 0.0_wp                            !< time since last dvrp output
     REAL(wp) ::  time_restart = 9999999.9_wp                   !< time at which run shall be terminated and restarted
     REAL(wp) ::  time_run_control = 0.0_wp                     !< time since last RUN_CONTROL output
@@ -1627,123 +1624,4 @@
 
  END MODULE control_parameters
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Definition of variables used with dvrp-software.
-!------------------------------------------------------------------------------!
- MODULE dvrp_variables
-
-    USE kinds
-
-    CHARACTER (LEN=10) ::  dvrp_output = 'rtsp'        !< dvr namelist parameter
-    CHARACTER (LEN=10) ::  particle_color = 'none'     !< dvr namelist parameter
-    CHARACTER (LEN=10) ::  particle_dvrpsize = 'none'  !< dvr namelist parameter
-
-    CHARACTER (LEN=20), DIMENSION(10) ::  mode_dvrp = &  !< dvr namelist parameter
-                                     (/ ( '                    ', i9 = 1,10 ) /)
-
-    CHARACTER (LEN=80) ::  dvrp_directory = 'default'                     !< dvr namelist parameter
-    CHARACTER (LEN=80) ::  dvrp_file      = 'default'                     !< dvr namelist parameter
-    CHARACTER (LEN=80) ::  dvrp_host      = 'origin.rvs.uni-hannover.de'  !< dvr namelist parameter
-    CHARACTER (LEN=80) ::  dvrp_password  = '********'                    !< dvr namelist parameter
-    CHARACTER (LEN=80) ::  dvrp_username  = ' '                           !< dvr namelist parameter
-
-    INTEGER(iwp) ::  cluster_size = 1                   !< dvr namelist parameter
-    INTEGER(iwp) ::  dvrp_colortable_entries = 4        !< internal dvr software variable
-    INTEGER(iwp) ::  dvrp_colortable_entries_prt = 22   !< internal dvr software variable
-    INTEGER(iwp) ::  islice_dvrp                        !< internal dvr software variable
-    INTEGER(iwp) ::  nx_dvrp                            !< internal dvr software variable
-    INTEGER(iwp) ::  nxl_dvrp                           !< internal dvr software variable
-    INTEGER(iwp) ::  nxr_dvrp                           !< internal dvr software variable
-    INTEGER(iwp) ::  ny_dvrp                            !< internal dvr software variable
-    INTEGER(iwp) ::  nyn_dvrp                           !< internal dvr software variable
-    INTEGER(iwp) ::  nys_dvrp                           !< internal dvr software variable
-    INTEGER(iwp) ::  nz_dvrp                            !< internal dvr software variable
-    INTEGER(iwp) ::  pathlines_fadeintime = 5           !< dvr namelist parameter
-    INTEGER(iwp) ::  pathlines_fadeouttime = 5          !< dvr namelist parameter
-    INTEGER(iwp) ::  pathlines_linecount = 1000         !< dvr namelist parameter
-    INTEGER(iwp) ::  pathlines_maxhistory = 40          !< dvr namelist parameter
-    INTEGER(iwp) ::  pathlines_wavecount = 10           !< dvr namelist parameter
-    INTEGER(iwp) ::  pathlines_wavetime = 50            !< dvr namelist parameter
-    INTEGER(iwp) ::  vc_gradient_normals = 0            !< dvr namelist parameter
-    INTEGER(iwp) ::  vc_mode = 0                        !< dvr namelist parameter
-    INTEGER(iwp) ::  vc_size_x = 2                      !< dvr namelist parameter
-    INTEGER(iwp) ::  vc_size_y = 2                      !< dvr namelist parameter
-    INTEGER(iwp) ::  vc_size_z = 2                      !< dvr namelist parameter
-
-    INTEGER(iwp), DIMENSION(10) ::  slicer_position_dvrp  !< internal dvr software variable
-
-    LOGICAL ::  cyclic_dvrp = .FALSE.                      !< internal dvr software variable
-    LOGICAL ::  dvrp_overlap                               !< internal dvr software variable
-    LOGICAL ::  dvrp_total_overlap                         !< internal dvr software variable
-    LOGICAL ::  local_dvrserver_running                    !< namelist parameter (ENVPAR namelist provided by palmrun)
-    LOGICAL ::  lock_steering_update = .FALSE.             !< internal dvr software variable
-    LOGICAL ::  use_seperate_pe_for_dvrp_output = .FALSE.  !< internal dvr software variable
-
-    REAL(wp) ::  clip_dvrp_l = 9999999.9_wp  !< dvr namelist parameter
-    REAL(wp) ::  clip_dvrp_n = 9999999.9_wp  !< dvr namelist parameter
-    REAL(wp) ::  clip_dvrp_r = 9999999.9_wp  !< dvr namelist parameter
-    REAL(wp) ::  clip_dvrp_s = 9999999.9_wp  !< dvr namelist parameter
-    REAL(wp) ::  superelevation = 1.0_wp     !< dvr namelist parameter
-    REAL(wp) ::  superelevation_x = 1.0_wp   !< dvr namelist parameter
-    REAL(wp) ::  superelevation_y = 1.0_wp   !< dvr namelist parameter
-    REAL(wp) ::  vc_alpha = 38.0_wp          !< dvr namelist parameter
-
-    REAL(wp), DIMENSION(2) ::  color_interval = (/ 0.0_wp, 1.0_wp /)     !< dvr namelist parameter
-    REAL(wp), DIMENSION(2) ::  dvrpsize_interval = (/ 0.0_wp, 1.0_wp /)  !< dvr namelist parameter
-
-    REAL(wp), DIMENSION(3) ::  groundplate_color = (/ 0.0_wp, 0.6_wp, 0.0_wp /)  !< dvr namelist parameter
-    REAL(wp), DIMENSION(3) ::  topography_color = (/ 0.8_wp, 0.7_wp, 0.6_wp /)   !< dvr namelist parameter
-
-    REAL(wp), DIMENSION(2,10) ::  slicer_range_limits_dvrp  !< dvr namelist parameter
-
-    REAL(wp), DIMENSION(3,10) ::  isosurface_color  !< dvr namelist parameter
-
-    REAL(sp), DIMENSION(2,100) ::  interval_values_dvrp          !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_values_dvrp_prt      !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_h_dvrp               !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_h_dvrp_prt           !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_l_dvrp = 0.5_sp      !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_l_dvrp_prt = 0.5_sp  !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_s_dvrp = 1.0_sp      !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_s_dvrp_prt = 1.0_sp  !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_a_dvrp = 0.0_sp      !< internal dvr software variable
-    REAL(sp), DIMENSION(2,100) ::  interval_a_dvrp_prt = 0.0_sp  !< internal dvr software variable
-
-    DATA  slicer_range_limits_dvrp / -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &  !< internal dvr software variable
-                                     -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
-                                     -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, -1.0_wp, 1.0_wp, &
-                                     -1.0_wp, 1.0_wp /
-
-    DATA  isosurface_color / 0.9_wp, 0.9_wp, 0.9_wp,  0.8_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.8_wp, &  !< internal dvr software variable
-                             0.1_wp, 0.8_wp, 0.1_wp,  0.6_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.6_wp, &
-                             0.1_wp, 0.6_wp, 0.1_wp,  0.4_wp, 0.1_wp, 0.1_wp,  0.1_wp, 0.1_wp, 0.4_wp, &
-                             0.1_wp, 0.4_wp, 0.1_wp /
-
-    DATA  interval_h_dvrp / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &  !< internal dvr software variable
-                            25.0_wp, -25.0_wp, 192 * 0.0_wp /
-
-    DATA  interval_h_dvrp_prt / 270.0_wp, 225.0_wp, 225.0_wp, 180.0_wp, 70.0_wp, 25.0_wp, &  !< internal dvr software variable
-                                25.0_wp, -25.0_wp, 192 * 0.0_wp /
-
-    REAL(sp), DIMENSION(:), ALLOCATABLE ::  xcoor_dvrp  !< internal dvr software variable
-    REAL(sp), DIMENSION(:), ALLOCATABLE ::  ycoor_dvrp  !< internal dvr software variable
-    REAL(sp), DIMENSION(:), ALLOCATABLE ::  zcoor_dvrp  !< internal dvr software variable
-
-    TYPE steering
-       CHARACTER (LEN=24) ::  name  !< internal dvr software variable
-       REAL(sp)           ::  min   !< internal dvr software variable
-       REAL(sp)           ::  max   !< internal dvr software variable
-       INTEGER(iwp)       ::  imin  !< internal dvr software variable
-       INTEGER(iwp)       ::  imax  !< internal dvr software variable
-    END TYPE steering
-
-    TYPE(steering), DIMENSION(:), ALLOCATABLE ::  steering_dvrp  !< internal dvr software variable
-
-    SAVE
-
- END MODULE dvrp_variables
 
 
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 4015)
+++ palm/trunk/SOURCE/palm.f90	(revision 4017)
@@ -1,3 +1,3 @@
-!> @file palm.f90
+! !> @file palm.f90
 !------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
@@ -321,7 +321,4 @@
         ONLY:  netcdf_data_input_inquire_file, netcdf_data_input_init,         &
                netcdf_data_input_surface_data, netcdf_data_input_topo
-
-    USE particle_attributes,                                                   &
-        ONLY:  particle_advection
 
     USE pegrid
@@ -452,6 +449,4 @@
     CALL MPI_COMM_RANK( comm_palm, myid, ierr )
 #endif
-
-    CALL init_dvrp_logging
 
 !
@@ -614,8 +609,4 @@
 
        CALL cpu_log( log_point(22), 'wrd_local', 'stop' )
-
-!
-!--    If required, write particle data in own restart files
-       IF ( particle_advection )  CALL lpm_write_restart_file
        
     ENDIF
@@ -641,5 +632,4 @@
 !-- Close files
     CALL close_file( 0 )
-    CALL close_dvrp
 
 !
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 4015)
+++ palm/trunk/SOURCE/parin.f90	(revision 4017)
@@ -503,7 +503,4 @@
     USE date_and_time_mod,                                                     &
         ONLY:  date_init, day_of_year_init, time_utc_init
-
-    USE dvrp_variables,                                                        &
-        ONLY:  local_dvrserver_running
 
     USE grid_variables,                                                        &
@@ -744,5 +741,5 @@
              termination_time_needed, vnest_start_time
 
-    NAMELIST /envpar/  progress_bar_disabled, host, local_dvrserver_running,   &
+    NAMELIST /envpar/  progress_bar_disabled, host,                            &
                        maximum_cpu_time_allowed, maximum_parallel_io_streams,  &
                        read_svf, revision, run_identifier, tasks_per_node,     &
